<%@ page isErrorPage="false" errorPage="error.jsp" import="java.util.Set,java.util.Iterator,java.util.Map,java.util.Date,java.text.DateFormat,org.chat.*"%>
<%
	String roonName = null;
	String nickname = (String)session.getAttribute("nickname");
	ChatRoomList roomList = null;
	ChatRoom chatRoom = null;
	Chatter chatter = null;
	Message[] messages = null;

	if (nickname != null)
	{
		try
		{
			roomList = (ChatRoomList) application.getAttribute("chatroomlist");
			roonName = roomList.getRoomOfChatter(nickname).getName();
			if (roonName != null && roonName != "")
			{
				chatRoom = roomList.getRoom(roonName);
				chatter = chatRoom.getChatter(nickname);
				if (chatRoom != null)
				{
					long enteredAt = chatter.getEnteredInRoomAt();
					if (enteredAt != -1)
					{
						messages = chatRoom.getMessages(enteredAt);					
					}
					else
					{
						messages = chatRoom.getMessages(chatter.getLoginTime());
					}

				}
				else
				{
					out.write("<b>Room " + roonName + " not found</b>");
					out.close();
				}
			}
		}
		catch(Exception e)
		{
			System.out.println("Exception: "+ e.getMessage());
			throw new ServletException("Unable to get handle to ServletContext");
		}	
	
%>
<HTML>
<HEAD>
<!--<meta http-equiv="refresh" content="10">-->
<link rel="stylesheet" href="css/layout.css" type="text/css"
	title="default" media="all" />
<%
	int refreshAfter = 10000; // 10 seconds
	String t = application.getInitParameter("refreshAfter"); // gets seconds
	if (t != null)
	{
		try
		{
			refreshAfter = Integer.parseInt(t);
			refreshAfter = refreshAfter * 1000; // convert to mili seconds
		}
		catch (NumberFormatException nfe)
		{							
		}
	}
%>
<script language="JavaScript" type="text/javascript">
<!--
function reload()
{
	window.location.reload();
}

setInterval('reload()', <%=refreshAfter%>);

function winopen(path)
{
	chatterinfo = window.open(path,"chatterwin","scrollbars=no,resizable=yes, width=400, height=300, location=no, toolbar=no, status=no");
	chatterinfo.focus();
}
//-->
</script>
</HEAD>
<BODY onLoad="window.location.hash='#current'" bgcolor="#FFFFFF">
<div id="outer">
	<div id="headerr">
		<h2>Web Chat 2.0</h2>
	</div>
	<a id="top"></a>
	<div id="thetopnav">

  <table>
    <tr>
      <td style=" border: 0; "><ul>
        <li><a href="index.jsp" accesskey="h"><strong><em>H</em>ome</strong></a>
        </li> 
      </ul></td> 
      <td><ul>
        <li><a href="login.jsp" accesskey="p"><strong><em>C</em>hat Login</strong></a></li>
      </ul></td>
      <td><ul>
        <li><a href="register.jsp" accesskey="w"><strong><em>R</em>egister</strong></a>
        </li>
      </ul></td>
      <td><ul>
        <li><a href="topics.jsp" accesskey="e"><strong><em>T</em>opics</strong></a>
        </li>

      </ul></td>
      <td><ul> 
        <li><a href="help.jsp" accesskey="o"><strong><em>H</em>elp</strong></a>
        </li>
      </ul></td> 
    </tr>
  </table>
</div>
	<div id="navbot"></div>
		<div id="main_page">
		<h2><i><%=(String)session.getAttribute("nickname")%></i> you are in room <b><%=roonName%></b></h2>
		<hr>
	<div id="righnavcontainer" >
		<div class="rightbox">
			<span class="white"><%=chatRoom.getNoOfChatters()%> people in this room</span><br>
			<%
	Chatter[] chatters = chatRoom.getChattersArray();
	for(int i = 0; i < chatters.length; i++)
	{
		if (chatters[i].getName().equals(session.getAttribute("nickname")))
		{
	%>
	<font face="Arial" size="2" color="blue"><%=chatters[i].getName() + " (" +chatters[i].getSex() +")<br>"%></font>
	<%
		}
		else
		{
			out.write("<font face=\"Arial\" size=\"2\"><a href=\"javascript:winopen('viewinfo.jsp?chatterName="+chatters[i].getName() + "')\" title=\"View information about "+chatters[i].getName()+"\">"+ chatters[i].getName()+"</a> (" + chatters[i].getSex()+")</font><br>");
		}
	}
%>
		</div>
	</div>
	<div id="content">
	<div class="contentbox" >
      <h3>Chat with friends using the all new</h3>
      <textarea name="chat" rows="13" cols="60">
      <%
	
	if(messages != null && messages.length > 0)
	{
		for (int i = 0; i < messages.length; i++)
		{
			Message message = (Message)messages[i];
			String chatterName = message.getChatterName();
			String strmsg = message.getMessage();
			long time = message.getTimeStamp();
			Date date = new Date(time);

			if (chatterName.equalsIgnoreCase((String)session.getAttribute("nickname")))
			{
				out.write(chatterName + " ("+ DateFormat.getTimeInstance().format(date)+ ")&gt;" + strmsg+"\n");
			}
			else if (chatterName.equalsIgnoreCase("system"))
			{
				out.write(strmsg+"\n");
			}
			else
			{
				out.write(chatterName + " ("+ DateFormat.getTimeInstance().format(date)+ ")&gt; " + strmsg + "\n");
			}			
		}
	}
	else
	{
		out.write("There are currently no messages in this room");
	}
	%>
      </textarea>
     </div>
	</div>
	
<%
}
else
{
	response.sendRedirect("login.jsp");
}
%>

<% 
	
	String nickname1 = (String)session.getAttribute("nickname");
	
	if (nickname1 != null && nickname1.length() > 0)
	{
		ChatRoomList roomList1 = (ChatRoomList)application.getAttribute("chatroomlist");
		ChatRoom chatRoom1 = roomList1.getRoomOfChatter(nickname);
		if ( chatRoom1 != null)
		{
			String msg = request.getParameter("messagebox");
			
			if ( msg != null && msg.length() > 0)
			{
				msg = msg.trim();
				chatRoom1.addMessage(new Message(nickname1, msg, new java.util.Date().getTime()));
			}
		}
	}
	
%>
</div>
<FORM name="msg" action="displayMessages.jsp" method="get">
	<TD width="100%"> 
		<INPUT type="text" name="messagebox" maxlength="300" size="35">
		<INPUT type="hidden" name="nickname" value="<%=session.getAttribute("nickname")%>">
		<INPUT name="submit" type="submit" value="Send">
	</TD>
</FORM>
<div class="clear"></div>
<div class="footer">
	<p>

	    <a href="" title="pogdesign" class="footnav">Home</a> | 
	    <a href="" title="pogdesign" class="footnav">Chat Login</a> | 
	    <a href="" title="pogdesign" class="footnav">Register</a> | 
	    <a href="" title="pogdesign" class="footnav">Topics</a> | 
	    <a href="" title="pogdesign" class="footnav">Help</a> 
	</p>  
 
</div>
</div>
</BODY>
</HTML>