package org.chat.servlets;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.chat.data.User;
import org.chat.util.ValidateUtil;

public class RegisterServlet extends HttpServlet {

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String author = request.getParameter("author");
		String screenName = request.getParameter("screenName");
		String password = request.getParameter("password");
		String email = request.getParameter("email");
		String url = request.getParameter("url");
		String text = request.getParameter("text");
		
		User user = new User();
		user.setAuthor(author);
		user.setEmail(email);
		user.setPassword(password);
		user.setScreenName(screenName);
		user.setText(text);
		user.setUrl(url);
		
		ValidateUtil util = new ValidateUtil();
		util.validate(user);
		
		String contextPath = request.getContextPath();	
		response.sendRedirect(contextPath + "/register2.jsp");
		
	}

}
